Retrieve a list of pivot views#
Description#
Returns a paged list of views in the workspace of the request. If queryId is provided, the results are limited to only views associated with the query ID.
GET /api/v1/pivotview
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
queryId |
query |
string |
true |
The unique query identifier to filter the views |
cursor |
query |
string |
false |
A paging cursor; if included, |
limit |
query |
integer(int32) |
false |
The number of views to return, from 1 to 1000; by default, 1000 |
offset |
query |
integer(int64) |
false |
The item to start with on the page, greater than or equal to 0; by default, 0 |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
-G \
--data-urlencoded "queryId=string"
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview \
Accept:application/json \
Authorization:"Bearer {access-token}" \
queryId==string
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview?queryId=string" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview', params={
'queryId': 'string'
}, headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with body and cursor properties.
bodycontains an array of PivotViewDto objects. If the request returns no results,bodycontains an empty array.cursorcontains a paging cursor, which can be included in the next call to the endpoint to retrieve the next set of results. If no additional results,cursorisnull.
Example Responses#
{
"body": [
{
"additionalMeta": {},
"created": "string",
"description": "string",
"id": "string",
"name": "string",
"parentId": "string",
"queryId": "string",
"queryResultId": "string",
"updated": "string",
"userId": "string",
"version": "integer"
}
],
"code": "integer",
"cursor": "string"
}